Subject: Re: [PATCH v17 1/2] refactor format_branch_comparison in preparation

From: Harald Nordgren <[email-masked]>
Date: Tue, 13 Jan 2026 10:54:47 +0100

> Just an observation, and not an objection, but it looks curious why
> the last one is so different from the other two.  IOW, the above
> makes me wonder if it makes sense to roll the show_divergence_advice
> bit into the base_branch_modes flag word.

Good point. I changed it, it makes it nicer with one fewer parameter.

> Other than that, this round is a pleasant read.  Thanks.

Thanks for all the help so far!

Harald